# Uses of Enum Class
org.github.jamm.MemoryMeter.ByteBufferMode

Packages that use MemoryMeter.ByteBufferMode
Package
Description
org.github.jamm

## Uses of MemoryMeter.ByteBufferMode in org.github.jamm

Methods in org.github.jamm that return MemoryMeter.ByteBufferMode
Modifier and Type
Method
Description
`static MemoryMeter.ByteBufferMode`
MemoryMeter.ByteBufferMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MemoryMeter.ByteBufferMode[]`
MemoryMeter.ByteBufferMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.github.jamm with parameters of type MemoryMeter.ByteBufferMode
Modifier and Type
Method
Description
`long`
MemoryMeter.`measureDeep(Object object, MemoryMeter.ByteBufferMode bbMode)`
Measures the memory usage of the object including referenced objects.